From 51f38f243252e01d48fb4eee433450064c711a48 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Thu, 18 Apr 2019 22:54:23 +0200
Subject: [PATCH 5/8] qtcreator: remove deprecated qt5-cavnas3d dep

---
 srcpkgs/qtcreator/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/qtcreator/template b/srcpkgs/qtcreator/template
index 7a76c6f3db2..19ef1b85746 100644
--- a/srcpkgs/qtcreator/template
+++ b/srcpkgs/qtcreator/template
@@ -1,7 +1,7 @@
 # Template file for 'qtcreator'
 pkgname=qtcreator
 version=4.9.1
-revision=1
+revision=2
 wrksrc="qt-creator-opensource-src-${version}"
 build_style=qmake
 make_install_args="INSTALL_ROOT=\${DESTDIR}/usr"
@@ -36,7 +36,7 @@ post_install() {
 qtcreator-full_package() {
 	short_desc+=" - full Qt5 dependencies"
 	depends="${sourcepkg}>=${version}_${revision}
- qt5-3d-devel qt5-canvas3d qt5-charts-devel qt5-connectivity-devel qt5-datavis3d-devel
+ qt5-3d-devel qt5-charts-devel qt5-connectivity-devel qt5-datavis3d-devel
  qt5-declarative-devel qt5-datavis3d-devel qt5-gamepad-devel qt5-location-devel
  qt5-multimedia-devel qt5-networkauth-devel qt5-purchasing-devel qt5-quickcontrols
  qt5-quickcontrols2-devel qt5-remoteobjects-devel qt5-script-devel qt5-scxml-devel

